### Name: createFullData
### Title: createFullData
### Aliases: createFullData
### Keywords: methods

### ** Examples

        ## Not run: 
##D                 # create minimalData (simple 2-dimensional Example)
##D                 # first hierarchical variable: sex: we have {total}-> {male, women}
##D                 sex <- c("00", "01", "02")
##D                 
##D                 # second hierarchical variable: a total of 13 age-groups including the total: we have {total}<- {group1-group12} 
##D                 age <- c("000", "001", "002", "003", "004", "005", "006", "007", "008", "009", "010", "011", "012")
##D                 
##D                 # for the minimal dataset we don't need the totals: we generate each combination of sublevels of the hierarchical variables
##D                 minimalData <- expand.grid(sex[-1], age[-1])
##D                 
##D                 # the column with values is added (just random numbers in this case)
##D                 minimalData$value <- rpois(nrow(minimalData), 7)
##D                 
##D                 # position of the hierarchical variables in minimalData
##D                 indexvars <- c(1,2)             
##D                 
##D                 # level-structure of the hierarchical variables:
##D                 # the first level (sex) consists of a total of 2 levels (this is total and male/women). Since there are only 2 characteristics in the sub-level, we need to add 1.
##D                 # the first level (age)consists of a total of 12 levels (this is the total and 12 age groups). Since we need 2 digits for the 12 age groups (01, 02,...,12)for this level, the second component of list[[2]] needs to be 2.
##D                 l <- list()
##D                 l[[1]] <- c(1, 1)
##D                 l[[2]] <- c(1, 2)
##D                 
##D                 # we generate an object of class fullData which we can then use as input object for other functions and primary suppress all values less equal than 4, but don't mark emty cells as primary suppressed.
##D                 fullDat <- createFullData (minimalData, indexvars, l, suppVals=TRUE, suppLimit=4, suppZeros=FALSE)
##D                 class(fullDat)
##D                 
##D                 #result <- protectTable(fullDat, method="GHMITER")
##D                 summary(result)
##D                 
##D                 # result$fullData$data is the protected dataset containing all totals. The user needs then to provide a function to recode the hierarchical variables.
##D         
## End(Not run)



